/****************************************************************************
**
** Copyright (C) 2016 The Qt Company Ltd.
** Contact: https://www.qt.io/licensing/
**
** This file is part of the test suite of the Qt Toolkit.
**
** $QT_BEGIN_LICENSE:GPL-EXCEPT$
** Commercial License Usage
** Licensees holding valid commercial Qt licenses may use this file in
** accordance with the commercial license agreement provided with the
** Software or, alternatively, in accordance with the terms contained in
** a written agreement between you and The Qt Company. For licensing terms
** and conditions see https://www.qt.io/terms-conditions. For further
** information use the contact form at https://www.qt.io/contact-us.
**
** GNU General Public License Usage
** Alternatively, this file may be used under the terms of the GNU
** General Public License version 3 as published by the Free Software
** Foundation with exceptions as appearing in the file LICENSE.GPL3-EXCEPT
** included in the packaging of this file. Please review the following
** information to ensure the GNU General Public License requirements will
** be met: https://www.gnu.org/licenses/gpl-3.0.html.
**
** $QT_END_LICENSE$
**
****************************************************************************/

#ifndef QGEOSERVICEPROVIDER_TEST_H
#define QGEOSERVICEPROVIDER_TEST_H

#include <qgeoserviceproviderfactory.h>
#include <QObject>

QT_USE_NAMESPACE

class QGeoServiceProviderFactoryTest: public QObject, public QGeoServiceProviderFactoryV2
{
    Q_OBJECT
    Q_INTERFACES(QGeoServiceProviderFactoryV2)
    Q_PLUGIN_METADATA(IID "org.qt-project.qt.geoservice.serviceproviderfactory/5.0"
                      FILE "geotestplugin.json")

public:
    QGeoServiceProviderFactoryTest();
    ~QGeoServiceProviderFactoryTest();

    QGeoMappingManagerEngine* createMappingManagerEngine(
                const QVariantMap &parameters,
                QGeoServiceProvider::Error *error, QString *errorString) const;
    QGeoRoutingManagerEngine* createRoutingManagerEngine(
                const QVariantMap &parameters,
                QGeoServiceProvider::Error *error, QString *errorString ) const;
    QGeoCodingManagerEngine* createGeocodingManagerEngine(
                const QVariantMap &parameters,
                QGeoServiceProvider::Error *error, QString *errorString) const;
    QPlaceManagerEngine* createPlaceManagerEngine(
                const QVariantMap &parameters,
                QGeoServiceProvider::Error *error, QString *errorString) const;
};

#endif


